stages:
  - download
  - deploy

job-0:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-0
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=0 -J=8 main" 

job-1:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-1
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=1 -J=8 main" 

job-2:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-2
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=2 -J=8 main" 

job-3:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-3
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=3 -J=8 main" 

job-4:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-4
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=4 -J=8 main" 

job-5:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-5
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=5 -J=8 main" 

job-6:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-6
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=6 -J=8 main" 

job-7:
  stage: "download"
  image: golang:1.12
  cache:
    key: job-7
    paths:
      - cri
  artifacts:
    paths:
      - cri
  script:
    - go get gitlab.com/kirafan/cri/unpacker
    - /go/src/gitlab.com/kirafan/cri/unpacker/download.sh "-j=7 -J=8 main" 

pages:
  stage: "deploy"
  image: python:3.8
  cache:
    key: index
    paths:
      - index
  artifacts:
    paths:
      - public
  script:
    - mv cri public
    - git clone https://gitlab.com/kirafan/assets/unpacker
    - python unpacker/scripts/old_index.py public -b cri -o index
